// "Exer3a.java" - Exercise on Inheritance
//
// Create a new class called Exer3a that inherits from HappyFaceClass
// that has setRadius and getRadius methods.  You will need to examine
// HappyFaceClass to determine how to do this.  Remember that you have
// access to all the internal fields and methods of HappyFaceClass.

import java.awt.*;

public class Exer3a extends HappyFaceClass
{
    //
    // Constructors
    //
    public Exer3a ()
    {
    } // Exer3a constructor


    public Exer3a (int x, int y)
    {
	super (x, y);
    } // Exer3a constructor


    //
    // Add the extra functionality here
    //
    public void setRadius(int newRadius, Graphics g, Color backgroundColor) {
    	if (showing) {
    		erase(g, backgroundColor);
    	}
    	radius = newRadius;
    	show(g);
    }
    public int getRadius() { return radius; }
} // Exer3a class
